Skip to main content
POST
/
organizations
/
{organizationId}
/
teams
/
{teamId}
/
members
Add members to a team
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/teams/{teamId}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memberIds": [
    "clma5y9hu000208k2aumf7pbd"
  ]
}
'
{
  "message": "<string>",
  "requestId": "<string>",
  "statusCode": 500
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

organization ID

teamId
string
required

team ID

Body

application/json

request body for adding members to a team

memberIds
string[]
required

The list of IDs for users to add to the Team.

Minimum array length: 1
Example:
["clma5y9hu000208k2aumf7pbd"]

Response